<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.dromara.system.mapper.ImgTypeMapper">

    <resultMap type="org.dromara.system.domain.vo.ImgTypeVo" id="imgTypeVoResult">
    </resultMap>

    <delete id="batchDelete" parameterType="list">
        DELETE FROM img_type WHERE type_id IN
        <foreach item="item" collection="list" open="(" separator="," close=")">
            #{item}
        </foreach>
    </delete>

    <select id="selectByImgId" resultMap="imgTypeVoResult">
        select * from img_type where img_id = #{imgId}
    </select>

</mapper>
